Package com.sun.jna.ptr

# Class FloatByReference

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.ptr.ByReference
com.sun.jna.ptr.FloatByReference

All Implemented Interfaces:
  `NativeMapped`

public class FloatByReference extends ByReference

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FloatByReference()`
  `FloatByReference(float value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `getValue()`
  `void`
  `setValue(float value)`
  `String`
  `toString()`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FloatByReference

    public FloatByReference()

  - ### FloatByReference

    public FloatByReference(float value)

- ## Method Details

  - ### setValue

    public void setValue(float value)

  - ### getValue

    public float getValue()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `ByReference`